Theme for GC5?

Discussion in 'General' started by ArchtypeOfEpic, Oct 17, 2017.

  1. ArchtypeOfEpic

    Joined:
    Jun 17, 2017
    Messages:
    14
    Likes Received:
    2
    Changed (11/8/17): What do we want to see in GC5? What needs to be done?

    Ignore: Do any of the Galacticraft devs have any plans for GC5? Are you keeping it secret? Please tell us something!
     
    #1 ArchtypeOfEpic, Oct 17, 2017
    Last edited: Nov 8, 2017
  2. MJRLegends

    MJRLegends Member

    Joined:
    Mar 13, 2015
    Messages:
    430
    Likes Received:
    51
    I dont think they have thought about GC5 as i think they are still working on the features for GC4
     
  3. ArchtypeOfEpic

    Joined:
    Jun 17, 2017
    Messages:
    14
    Likes Received:
    2
    Really? I though major features for GC4 were done
     
  4. MJRLegends

    MJRLegends Member

    Joined:
    Mar 13, 2015
    Messages:
    430
    Likes Received:
    51
  5. The Enderborn

    The Enderborn Member

    Joined:
    Sep 9, 2013
    Messages:
    2
    Likes Received:
    0
    A few devs, maybe more, are becoming more stringent about going to the newer versions simply because 1.11.2 will eventually have support dropped. This may become more apparent when 1.13 comes out, as 1.12.2 will become the go-to version. It happened with 1.10.2 and 1.9/1.8.9/1.7.10. Sometimes staying up-to-date can be good.
     
  6. radfast

    radfast Administrator
    Staff Member

    Joined:
    Apr 27, 2014
    Messages:
    1,116
    Likes Received:
    345
    I'm not sure I understand your point there?

    We have not dropped support for 1.7.10 or any later version. We are not adding new features to GC3 (1.7.2 and 1.7.10 versions) but we will still fix any major bugs identified in those versions. We are slowly, adding new features to GC4 (1.8.9, 1.10.2, 1.11.2 and 1.12.2 versions all have the same features). But, I have recently spent a month of development time which could have been spent adding new fun features for GC4, instead updating to 1.12.2.

    The only significant reason to update to 1.12.2 is if you want to include Galacticraft in a modpack with another mod which is only available in 1.12.2 (or which has its best version in 1.12.2). Apart from that, there is no difference between the 1.12.2 version and the 1.11.2 version of Galacticraft.

    Some mods are not yet updated to 1.12.2 at all - for example, EnderIO, Minefactory Reloaded.

    Technic platform's most popular modpacks are mainly for 1.6.4 and 1.7.10. There is nothing wrong with those versions of the game. 1.7.10 especially is nice and stable and most mods for that version are fully mature - meaning fewer bugs.
     
    Ezer'Arch likes this.

Share This Page